For the complete documentation index, see llms.txt. This page is also available as Markdown.

Merchant Orders Documentation

Operations to manage documents for merchant orders that require them for AML/KYC.

Documents required for merchant order

get

Docs required for merchant order

Path parameters
orderIdstring · uuidRequired

Verifone allocated ID for the Order.

Example: 32c480b5-4dfb-4c53-959f-49edf45a0931
Responses
202

Required Document list

application/json

Merchant Required Document Details

documentIdstring · uuidRequired

Unique identifier for the document.

documentNamestring · max: 100Required

Name of the document.

displayNamestring · max: 100Optional

Display name of the document shown to end user.

statusstring · enumRequired

Current status of the document.

Possible values:
allowedContentLengthinteger · int64 · max: 8388608Optional

Size of the uploaded document in bytes. Default is 2 MB (2097152 bytes), maximum allowed is 8 MB (8388608 bytes).

Default: 2097152
get/orders/{orderId}/required-documents
GET /orders/{orderId}/required-documents HTTP/1.1
Host: api.verifone.com
Accept: */*
[
  {
    "documentId": "123e4567-e89b-12d3-a456-426614174000",
    "documentName": "text",
    "displayName": "text",
    "status": "PENDING_UPLOAD",
    "allowedContentTypes": [
      "application/pdf"
    ],
    "allowedContentLength": 2097152,
    "contact": {
      "contactType": "BUSINESS",
      "name": {
        "firstName": "text",
        "lastName": "text",
        "prefix": "text",
        "alternateFullName": "text",
        "middleName": "text",
        "suffix": "text"
      },
      "phoneNumbers": [
        {
          "callingCode": "text",
          "value": "text",
          "extension": "text",
          "isPrimary": false,
          "phoneType": "HOME"
        }
      ],
      "email": "name@gmail.com",
      "businessTitle": "text",
      "passportId": "text",
      "nationality": "text",
      "additionalNationalities": [
        "text"
      ],
      "nationalIdentifer": "text"
    }
  }
]

Generate URLs for document upload

post

Generate URLs for document upload. These will expire after a short period to which you will need to request new URLs.

Path parameters
orderIdstring · uuidRequired

Verifone allocated ID for the Order.

Example: 32c480b5-4dfb-4c53-959f-49edf45a0931
Bodyobject · AdditionalDocument[]

Upload Document Meta Info.

documentNamestring · max: 100Required

Name of the document.

contentTypestring · enum · max: 100Required

Content type of the document.

Possible values:
contentLengthinteger · int64 · max: 8388608Optional

Size of the uploaded document in bytes. Maximum allowed is 8 MB (8388608 bytes).

Responses
202

URLs to upload the required documents.

application/json

Upload Document Meta Info.

documentNamestring · max: 100Required

Name of the document.

contentTypestring · enum · max: 100Required

Content type of the document.

Possible values:
contentLengthinteger · int64 · max: 8388608Optional

Size of the uploaded document in bytes. Maximum allowed is 8 MB (8388608 bytes).

uploadUrlstringRequired

Upload URL for this document.

post/orders/{orderId}/upload-urls
POST /orders/{orderId}/upload-urls HTTP/1.1
Host: api.verifone.com
Content-Type: application/json
Accept: */*
Content-Length: 75

[
  {
    "documentName": "text",
    "contentType": "application/pdf",
    "contentLength": 1
  }
]
[
  {
    "documentName": "text",
    "contentType": "application/pdf",
    "contentLength": 1,
    "uploadUrl": "text"
  }
]

Delete document by id

delete

Delete document by id

Path parameters
orderIdstring · uuidRequired

Verifone allocated ID for the Order.

Example: 32c480b5-4dfb-4c53-959f-49edf45a0931
documentIdstring · uuidRequired

Id of the document to be deleted.

Responses
204

Document Deleted

No content

delete/orders/{orderId}/documents/{documentId}
DELETE /orders/{orderId}/documents/{documentId} HTTP/1.1
Host: api.verifone.com
Accept: */*

No content

Last updated

Was this helpful?